#include<ctype.h>
#include <stdio.h>
#include"drzewo.h"

#define MAX 200

int czytaj_slowo(FILE *strumien,char *slowo,int max);

int main(int argc, char** argv)
{
	struct drzewo *d=NULL;
	char slowo[MAX];
	FILE *plik=stdin;

	if (argc > 1 && !(plik=fopen(argv[1],"r"))) plik=stdin;

	while(!feof(plik))
		if(czytaj_slowo(plik,slowo,MAX)) d=dodaj(d,slowo);

	
	wyswietl(d);

	zwolnij(d);
	d=NULL;
	if(plik!=stdin) fclose(plik);

	return 0;
}

int czytaj_slowo(FILE *strumien,char *slowo,int max)
{
	int i=0;
	int znak;

	while( isalpha(znak=fgetc(strumien)) && max-- >0 && !feof(strumien) )
		slowo[i++]=tolower(znak);

	slowo[i]='\0';
	return i;
}